Subject: Re: act.faq

From: ~{QG9p~} <[email-masked]>
Date: Tue, 16 Feb 1993 22:12:46 -0500

Here it is:

Newsgroups: alt.chinese.text,news.answers
Subject: How to Read Chinese Text on Usenet: FAQ for alt.chinese.text
Summary: 
Expires: 17 Mar 1993
Sender: 
Followup-To: alt.chinese.text
Distribution: 
Organization: Indiana University
Keywords: faq, chinese text
Approved: [email-masked]
Supersedes: 

Archive-name: chinese-text-faq
Original-Author: Ya-Gui Wei 魏亚桂
Last-modified: 07 Feb 1993
Version: 0.9

 CONTENTS

 (1) What are those 乱七八糟的东西's posted to alt.chinese.text? 
 (2) Where can I find the software to read Chinese articles?
 (3) Are these software packages pretty easy to use?
 (4) How do I post Chinese text articles to usenet? 
 (5) What are 'zW' and 'HZ'?
 (6) What is FTP and how do I use it?
 (7) How do I convert zW/HZ Chinese text to/from GB or Big5 systems?
 (8) What else do I need to know about alt.chinese.text?
 (9) My site does not carry alt.chinese.text. What can I do about that? 
(10) What other net resources broadcast directly readable Chinese text?
(11) Where may I obtain the latest version of this FAQ?

    *           *             *             *             *

 (1) What are those 乱七八糟的东西's posted to alt.chinese.text? 

     Believe it or not, they are supposed to be Chinese characters. 
     They are coded in one of two protocols: 'zW' and HZ. You'd need 
     some software that understands these protocols to read them.

 (2) Where can I find the software to read Chinese articles?

     It depends on what kind of machine you are using. The following is
     probably an incomplete list of software which you can use to read
     this newsgroup:

     [If you have problems using the programs listed below, you could
     seek assistance from (1) local users; (2) fellow alt.chinese.text 
     netters; (3) software authors. The FAQ maintainer most probably 
     can't help you.]

  a. If you are using a PC/Compatible running MS-DOS:
     (1) ZWDOS -- is a MS-DOS kernel extension that gives DOS text mode
     programs the ability to enter, display and manipulate 'zW' and HZ 
     Chinese text. Small memory requirement. Supports CGA, EGA, VGA
     or Hercules Monographic displays. Available for anonymous ftp at:
               ifcss.org:software/dos/ZWDOS/*.*
               cs.purdue.edu:pub/ygz/zW-hz/zwdos*.zip
     [Author: Ya-Gui Wei <[email-masked]>]

     (2) KORE -- Fast Chinese/Japanese text viewing program for MS-DOS.
     Supports GB and HZ. Chinese fonts are now provided.
     Available at:
               mindseye.berkeley.edu:pub/kanji/kanji-viewer/*.*
     [Author: Frank Klemm <[email-masked]>]

  b. If you are using an Apple Macintosh, try:
     (1) Subtitle -- a program which decodes zW and HZ texts as subtitles
     for some terminal emulators. Runs with or without Chinese OS. A trial 
     version can be ftp'ed from:
               ftp.apple.com:pub/lai
     [Author: Ed Lai <[email-masked]>]

     (2) NewsWatcher -- Macintosh users who have Chinese system software, 
     MacTCP, and access to an NNTP news server can use a version of 
     NewsWatcher specially designed to handle HZ encoding. Available at:
               ifcss.org:software/mac/viewer/NewsWatcher.new.hqx
     [Author: John H. Jenkins <[email-masked]>]

     (3) HZTerm -- a simple terminal emulator that supports the HZ coding.
     HZTerm requires Mac Chinese OS prior to version 6.0. Available at:
               ifcss.org:software/mac/viewer/HanziTerm.hqx
     [Author: Ricky Yeung <[email-masked]>]

     (4) If you have a Tektronix compatible terminal emulator (such as
     VersaTerm), you may be able to use Chirk.  See c. (3).

  c. If you are using a Unix system/workstation:
     (1) CXTERM -- is an xterm with Chinese extension. It understands
     Chinese text coded with the Guo-Biao format. To read HZ and 'zW'
     codes, you also need 'HZTTY'. Requires X-Windows. Available:
               ifcss.org:software/unix/X-Window/cxterm*.Z
               ifcss.org:software/unix/X-Window/hztty*.Z
	       cs.purdue.edu:pub/ygz/cxterm*.Z
	       cs.purdue.edu:pub/ygz/zW-hz/hztty*.Z
     [Author: Zhang Yongguang [email-masked]]

     (2) MULE -- Mule is a MULtilingual Enhancement to GNU Emacs which
     can handle Japanese, Chinese or Korean (16 bits) characters.
     For Chinese there is support for both GB and Big5. Subscribers of
     alt.chinese.text will find it useful to use GNUS with hz2gb.el,
     which does HZ/zW encode/decoding automatically. Runs as stand-alone
     X client or with CXTERM. Available at:
               sh.wide.ad.jp [133.4.11.11]:/JAPAN/mule/*
     [Author: Ken'ichi Handa [email-masked]]

     Alternative pinyin input methods (including phrase input) for MULE
     available at:
               linac.fnal.gov:pub/pig.tar.Z
     [Author: Ping Zhou, [email-masked]]

     (3) Chirk -- A Unix program for viewing Chinese text on Tektronix
     compatible graphic terminals (Graphon 225, 230, 140; DEC VT240, 
     VT330/340; etc.) and terminal emulators (XTerm on X-Windows, 
     VersaTerm on Macintosh, etc.)  C source code is provided and may 
     be portable to other platforms. Supports Guo-Biao, Big5, zW and HZ.  
     [To use Chirk with rn, try "s | chirk".] 
     Available for ftp at:
               crl.nmsu.edu:pub/chinese/ChiRK*.tar.Z
               ifcss.org:software/unix/viewer/ChiRk*.Z
     [Author: Bo Yang [email-masked]]

  d. If you have access to a PostScript Printer:
     (1) CNPRINT. Prints HZ or GB text on Unix or VMS. Ftp site:
               ifcss.org:software/unix/print/cnprint*.Z
     [Author: Cai Yidao <[email-masked]>]

     (2) GB2PS. Converts GuoBiao or HZ Chinese text into hard copies
     by using PostScript printers. Runs on Unix. Ftp site:
               ifcss.org:software/unix/print/gb2ps*.Z
               bellatrix.anu.edu.au:pub/gb2ps/gb2ps.2.02.tar.Z.
     [Author: William Sun [email-masked]]

  e. If you only have access to a dumb terminal. Reading Chinese on a
     dumb terminal is not going to be comfortable, but it can be done.
     You may use 'hzview', but will need hz2gb from the HZ package
     described in question 5 (despite the name, hzview does not support
     HZ coding directly.)  Ftp'able from:
               ifcss.org:software/unix/viewer/hzview.2-0.tar.Z
     [Author: Fung Fung Lee [email-masked]]

     Hzview is also useful for making large Chinese character banners.

     The above list is not intended to be an exhaustive list of Chinese 
     software.  It is intended to help the beginning netter getting
     started reading this newsgroup. Wherever possible, only software 
     packages that directly support the 'zW' or 'HZ' protocols and are 
     readily available through internet FTP as public domain, freeware,
     or shareware, are listed. Additional criteria of quality, ease of 
     use, universality of applicability may be considered. If you know 
     of any software that I should have included, please drop me a note.

     For a more comprehensive listing of Chinese software, see 
               ifcss.org:/software/Catalog 
     [By Xiaofei Wang <[email-masked]>.]

 (3) Are these software packages pretty easy to use?

     Supposedly. Some of the software packages listed above are either 
     terminal emulators or can be run in conjunction with a terminal
     emulator.  Once you install them, reading Chinese text on this 
     newsgroup should be easy.  For example, if you are using ZWDOS
     or cxterm with hztty, the Chinese texts posted on this newsgroup
     will show up on your screen as Chinese characters automatically
     without any efforts on your part.  Other programs (text viewers)
     require that you run the program with the Chinese text file as
     input every time.

     Consult the documentation with the software for their exact
     specifications.

     If you have problem installing the software, you may post help 
     requests to alt.chinese.text or contact the software authors.

 (4) How do I post Chinese text articles to usenet?

     If you are using a software package listed above that supports
     Chinese character input, (such as ZWDOS, cxterm, or Mule), you 
     can already do this, and it is probably very similar to posting 
     English articles. Consult the documentation for the software 
     package for information about how to input Chinese characters 
     with the package.

     If you do not have a software package into which you can directly
     type in Chinese characters, but you do have access to software
     that produce GB or Big5 coded Chinese text, you may use the
     conversion programs mentioned in question (7) to convert them
     to HZ or zW and then post them to usenet.

 (5) What are 'zW' and 'HZ'?

     They are Chinese coding protocols derived from Guo-Biao,
     the standard Character set used in mainland China. Compared
     to Big-5 (character set used in Taiwan), Guo-Biao has
     the property that each character in the set can be easily
     represented by 2 printable (7-bit) ASCII characters. The 'zW' 
     and HZ are protocols that allow mixing of these Chinese 
     text and ASCII (English) text, which are the main reason 
     they are being used in this newsgroup.

     A description of the HZ protocol is available for ftp at:
               ifcss.org:software/unix/convert/HZ-2.0.tar.Z
     [Author: Fung Fung Lee [email-masked]]

 (6) What is FTP and how do I use it?

     FTP stands for the internet File Transfer Protocol. There are
     many internet sites with FTP accounts where a remote user can
     connect to and download materials of various kind.

     It is beyond the scope of this document to provide a detailed
     tutorial about network file transfers. Yet I hope the following
     example will give you an idea.

     At your system prompt, type:
       ftp ifcss.org                 [connect to remote host]
       username: ftp                 [or "anonymous"]
       password: your_name           [or anything else]
       binary                        [use binary transfer]
       cd software/unix/convert      [change directory]
       get HZ-2.0.tar.Z              [get file]
       bye

     After getting the files, you'd probably need to uncompressed/
     unarchived the files in some system specific manner. Your local
     system admin or users of similar machines should be your best
     source of help for this. The following is only a brief summary:

     (A). Unix compressed files often have a .Z extension. To uncompress,
     use the Unix command "compress -d filename". After that you may
     get a file with a .tar extension. You can untar a file by 
     "tar -xvf filename".

     (B). DOS (PC) compressed files often have a .zip extension.
     To uncompressed, use "pkunzip filename". (Get pkunzip.exe from
     ifcss.org:software/dos/utils.)

     (C). MacIntosh files often have the .hqx extension. To uncompress,
     you'd need "binhex" and "stuffit", both available from
     ifcss.org:software/mac/utils.

     The CND Chinese Magazine (Hua Xia Wen Zhai) has compiled a suite
     of help files some of which may be useful for you. To obtain
     an index, send a mail "get cmhelp index" to [email-masked].

 (7) How do I convert zW/HZ Chinese text to/from GB or Big5 systems?

     If you are using a Guo-Biao based system, conversion programs 
     can be found in the HZ-2.0.tar.Z package mentioned in question 
     (5). Use hz2gb and gb2hz to convert between Guo-Biao and HZ 
     text. If you are using a Big-5 based system, check out 
     hc.tar.Z in ifcss.org:software/unix/convert, which lets you 
     convert from Big5 to GB which can then be converted to HZ (and 
     back). 

     The DOS executables of the HZ<->GB converter is at ifcss.org:
     software/pc/convert. The Macintosh version of hc (big5<->GB)
     is in ifcss.org:software/mac/convert.

 (8) What else do I need to know about alt.chinese.text?

     Alt.chinese.text is a free forum. It is not a topic oriented
     newsgroup, as long as your articles are in Chinese or is
     otherwise related to the subject "Chinese text." Nonetheless,
     after you get a hang of the software, you are strongly
     suggested to post in Chinese. Even for articles that best
     serve their purposes in English, a Chinese summary should
     still be provided.

 (9) My site does not carry alt.chinese.text. What can I do about that? 

     The first thing to do is to tell your news administrator about
     alt.chinese.text and ask him/her to carry it. Some sites do
     selectively carry alt groups so it may be simply a matter of
     asking. 

     The long term cure, of course, is to upgrade our newsgroup into
     one of the "official" usenet hierarchies (rec, soc, comp, 
     etc -- I am not sure exactly which hierarchy our group belongs
     to), provided someone is willing to spending time leading us
     through the voting process. Until the day, your best bet will
     be to ask a site the carries alt.chinese.text to give you
     remote access.

(10) What other net resources broadcast directly readable Chinese text?

     The following net-resources broadcast Chinese materials coded
     in the HZ format which are directly readable with the software
     described in this FAQ:

  a. The CND Chinese Magazine, Hua Xia Wen Zhai, broadcasts an HZ 
     edition through a list at CMUWA-L@UWAVM. To subscribe, send a 
     message to
              [email-masked]            (Bitnet)
         or   [email-masked]  (Internet)
     With the body of the message containing only:
              SUB CMUWA-L Lastname Firstname
     The magazine will be delivered to your e-mail box every Friday.

  b. The Chinese Poem Discussion list broadcasts Chinese poems in
     HZ and other formats. To subscribe, send a message to
              [email-masked]             (Bitnet)
         or   [email-masked]     (Internet)
     With the body of the message containing only:
              SUB CHPOEM-L Lastname Firstname

(11) Where may I obtain the latest version of this FAQ?

     This FAQ is posted monthly to alt.chinese.text and news.answers. 
     The latest version of this FAQ is also available from the following
     anonymous FTP sites:

     pit-manager.mit.edu:pub/usenet/news.answers/chinese-text-faq.Z
     ftp.uu.net:usenet/alt.chinese.text/H_t_R_C_T_o_U:_F_f_a.c.t.Z

 Compiled by Ya-Gui Wei 魏亚桂.

 Acknowledgements:
     Thanks are due to Dan Jacobson 积丹尼, Fung Fung Lee 李枫峰, 
     and Ricky Yeung for valuable advice for the improvement of this 
     document.